import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:sadad_payment_sdk_flutter/sadad_payment_sdk_flutter_method_channel.dart';

void main() {
  MethodChannelSadadPaymentSdkFlutter platform = MethodChannelSadadPaymentSdkFlutter();
  const MethodChannel channel = MethodChannel('sadad_payment_sdk_flutter');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
